/*
			     ImgView Crop Dialog
 */

#ifndef IMGVIEWCROP_H
#define IMGVIEWCROP_H

#include <gtk/gtk.h>
#include "imgview.h"


extern imgview_cropdlg_struct *ImgViewCropDlgNew(
	imgview_struct *iv
);
extern void ImgViewCropDlgMapValues(
	imgview_cropdlg_struct *cd,
	gint x0, gint x1,	/* Crop Bounds */
	gint y0, gint y1,
	gint img_width,		/* Image Size (not Crop Rect) */
	gint img_height
);
extern gboolean ImgViewCropDlgIsMapped(imgview_cropdlg_struct *cd);
extern void ImgViewCropDlgMap(imgview_cropdlg_struct *cd);
extern void ImgViewCropDlgUnmap(imgview_cropdlg_struct *cd);
extern void ImgViewCropDlgDelete(imgview_cropdlg_struct *cd);


#endif	/* IMGVIEWCROP_H */
